From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/openexr/
Date: Fri, 15 Apr 2022 06:18:53 +0000 (UTC) [thread overview]
Message-ID: <1650003528.b0d92cef9f5c4b077879766cf32c85aa99419a98.juippis@gentoo> (raw)
commit: b0d92cef9f5c4b077879766cf32c85aa99419a98
Author: Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Thu Apr 7 08:29:17 2022 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Apr 15 06:18:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0d92cef
media-libs/openexr: bump to 2.5.8
Closes: https://bugs.gentoo.org/837062
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/24939
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-libs/openexr/Manifest | 1 +
media-libs/openexr/openexr-2.5.8.ebuild | 75 +++++++++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/media-libs/openexr/Manifest b/media-libs/openexr/Manifest
index 39b88ea65170..5721a781b067 100644
--- a/media-libs/openexr/Manifest
+++ b/media-libs/openexr/Manifest
@@ -1,2 +1,3 @@
DIST openexr-2.5.7.tar.gz 27539574 BLAKE2B 58fd81be52e13d2815b6aa8cea6793359379f5ebf866fd45b31ce30cf5f72aa4699625e7cec51189d62fe76f53418c3e0938f9b827d54ad18342e7aa67c8a3d2 SHA512 e44edfa2dcfff2fe372ed2ba07b39a472e549025978de178eff26be641767d22d1a3b543fb7672d9b7b2e9f4c308667f785829ed6d9032a2b42f2ffa0163de40
+DIST openexr-2.5.8.tar.gz 27539605 BLAKE2B b54b72aa82c947fd7f252bf4d15b2727be2da7cdd257a9d96c6c2a3c892438ff850177549144e492617bfe5d260ddd14d21eac70a55f124784bbdf5f7077d1e9 SHA512 5b1ad99cfa639892292109a26c084868b3fe0acf572dd69750e951cec2127d63c78309241de92b0052f0abe50d86f2518e3185194121010db5f826d217e37f4f
DIST openexr-3.1.4.tar.gz 20323658 BLAKE2B d3726023f920fa719b1832d3be2df36a95cac8c67fdd4b23a7166398a282fa01d5c07065afd92f7b28f178c47843f82eb7a0f2b77742725b359c8f275d2ef1d0 SHA512 612ab3467f9ccf2779e1592361cb07459571122e10c0a0b3020430cfa34fa3b91ca1d63cc12a5f85d5b53b277b3f7a88862e6477f0f3566a4196b8245f6bfe12
diff --git a/media-libs/openexr/openexr-2.5.8.ebuild b/media-libs/openexr/openexr-2.5.8.ebuild
new file mode 100644
index 000000000000..50fc19f16ab7
--- /dev/null
+++ b/media-libs/openexr/openexr-2.5.8.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_ECLASS=cmake
+inherit cmake-multilib
+
+DESCRIPTION="ILM's OpenEXR high dynamic-range image file format libraries"
+HOMEPAGE="https://www.openexr.com/"
+SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P}/OpenEXR"
+
+LICENSE="BSD"
+SLOT="0/25" # based on SONAME
+# -ppc -sparc because broken on big endian, bug #818424
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 -ppc ~ppc64 ~riscv -sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
+IUSE="cpu_flags_x86_avx doc examples static-libs utils test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ~media-libs/ilmbase-${PV}:=[static-libs?,${MULTILIB_USEDEP}]
+ sys-libs/zlib[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( PATENTS README.md )
+
+src_prepare() {
+ # Fix path for testsuite
+ sed -i -e "s:/var/tmp/:${T}:" "${S}"/IlmImfTest/tmpDir.h || die "failed to set temp path for tests"
+
+ # disable failing tests on various arches
+ if use test; then
+ if use abi_x86_32; then
+ eapply "${FILESDIR}/${PN}-2.5.2-0001-IlmImfTest-main.cpp-disable-tests.patch"
+ fi
+
+ # Technically this doesn't disable anything, it just gives this test time to complete.
+ # Could probably be applied unconditionally but will leave this to the maintainers.
+ if use riscv; then
+ eapply "${FILESDIR}/${P}-0002-increase-IlmImfTest-timeout.patch"
+ fi
+
+ if use sparc; then
+ eapply "${FILESDIR}/${P}-0001-disable-testRgba-on-sparc.patch"
+ fi
+ fi
+
+ multilib_foreach_abi cmake_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ -DINSTALL_OPENEXR_DOCS=$(usex doc)
+ -DINSTALL_OPENEXR_EXAMPLES=$(usex examples)
+ -DOPENEXR_BUILD_BOTH_STATIC_SHARED=$(usex static-libs)
+ -DOPENEXR_BUILD_UTILS=$(usex utils)
+ -DOPENEXR_INSTALL_PKG_CONFIG=ON
+ -DOPENEXR_USE_CLANG_TIDY=OFF # don't look for clang-tidy
+ )
+
+ cmake_src_configure
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ DOCS+=( doc/*.pdf )
+ fi
+ einstalldocs
+
+ use examples && docompress -x /usr/share/doc/${PF}/examples
+}
next reply other threads:[~2022-04-15 6:19 UTC|newest]
Thread overview: 118+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-15 6:18 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-04 21:40 [gentoo-commits] repo/gentoo:master commit in: media-libs/openexr/ Andreas Sturmlechner
2024-09-23 8:21 Arthur Zamarin
2024-08-29 16:14 Mike Gilbert
2024-06-02 14:46 Sam James
2024-06-02 8:28 Joonas Niilola
2024-06-02 3:29 Sam James
2024-06-02 3:28 Sam James
2024-06-02 3:27 Sam James
2024-03-17 14:23 Florian Schmaus
2024-03-17 12:39 Sam James
2024-02-21 1:48 Sam James
2024-02-20 18:33 Arthur Zamarin
2023-12-22 11:41 Joonas Niilola
2023-12-21 15:15 Sam James
2023-10-27 3:20 Sam James
2023-10-27 2:59 Sam James
2023-10-27 2:34 Sam James
2023-09-08 7:17 Joonas Niilola
2023-09-08 7:17 Joonas Niilola
2023-04-10 7:37 Joonas Niilola
2023-01-13 0:20 Yixun Lan
2023-01-13 0:08 Yixun Lan
2023-01-11 8:32 Sam James
2023-01-11 8:23 Arthur Zamarin
2022-11-23 17:55 Joonas Niilola
2022-11-15 18:03 Joonas Niilola
2022-09-29 5:53 Joonas Niilola
2022-09-28 9:55 Joonas Niilola
2022-08-15 14:10 Andreas Sturmlechner
2022-07-03 23:54 Sam James
2022-06-22 16:59 Arthur Zamarin
2022-06-22 7:01 Joonas Niilola
2022-06-22 7:01 Joonas Niilola
2022-05-17 12:48 WANG Xuerui
2022-04-22 18:18 Arthur Zamarin
2022-04-21 13:00 Jakov Smolić
2022-04-19 6:41 Joonas Niilola
2022-03-31 18:45 Jakov Smolić
2022-03-01 1:12 Sam James
2022-03-01 0:02 Sam James
2022-02-28 23:58 Sam James
2022-02-28 5:21 Sam James
2022-02-15 19:51 Sam James
2022-02-07 5:49 Sam James
2022-02-05 6:34 Sam James
2022-02-02 7:54 Sam James
2022-01-28 7:53 Sam James
2022-01-09 15:48 Andreas Sturmlechner
2022-01-09 15:48 Andreas Sturmlechner
2022-01-08 13:57 Yixun Lan
2021-11-26 4:30 Sam James
2021-11-14 4:42 Sam James
2021-11-05 4:03 Sam James
2021-10-27 22:33 Sam James
2021-10-27 4:14 Sam James
2021-10-17 2:22 Sam James
2021-10-16 9:15 Sam James
2021-10-16 9:15 Sam James
2021-10-09 8:05 Sam James
2021-10-09 7:59 Sam James
2021-10-09 7:59 Sam James
2021-10-09 7:59 Sam James
2021-10-09 7:59 Sam James
2021-08-12 6:45 Joonas Niilola
2021-08-05 11:11 Sergei Trofimovich
2021-07-22 15:01 Sergei Trofimovich
2021-07-21 21:57 Marek Szuba
2021-07-10 15:40 Sam James
2021-07-10 12:37 John Helmert III
2021-07-10 10:43 Agostino Sarubbo
2021-06-17 15:56 Sergei Trofimovich
2021-06-05 9:45 Sergei Trofimovich
2021-06-03 16:26 Sam James
2021-06-02 19:01 Sam James
2021-06-02 19:01 Sam James
2021-06-01 0:28 Sam James
2021-05-04 22:02 Sam James
2021-02-27 16:38 Sam James
2021-02-27 16:38 Sam James
2021-02-26 17:34 Sergei Trofimovich
2021-02-26 15:18 Sam James
2021-02-26 8:09 Agostino Sarubbo
2021-02-25 19:00 Sam James
2021-02-25 17:57 Sam James
2021-02-25 14:02 Sam James
2021-02-25 11:31 Sam James
2021-02-16 19:19 Sam James
2021-02-09 14:11 Sergei Trofimovich
2021-02-07 17:07 Conrad Kostecki
2021-01-24 1:48 Sam James
2021-01-24 1:48 Sam James
2020-12-27 21:47 Sam James
2020-12-27 21:40 Sam James
2020-12-22 6:06 Sam James
2020-10-07 18:10 Sam James
2020-10-07 17:55 Sam James
2020-09-20 16:28 Thomas Deutschmann
2020-09-14 16:34 Sergei Trofimovich
2020-08-12 19:01 Sergei Trofimovich
2020-08-07 11:44 Agostino Sarubbo
2020-08-06 2:10 Sam James
2020-07-21 19:39 Andreas Sturmlechner
2020-06-28 20:57 Aaron Bauman
2019-06-15 21:06 Sergei Trofimovich
2019-04-28 13:03 Sergei Trofimovich
2019-04-28 7:42 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-04-23 0:46 Aaron Bauman
2019-04-20 18:08 Sergei Trofimovich
2019-04-20 13:57 Pacho Ramos
2019-04-07 22:15 Aaron Bauman
2019-03-26 22:38 Aaron Bauman
2018-03-26 13:51 Craig Andrews
2018-01-28 14:08 Mikle Kolyada
2017-12-10 21:28 Sergei Trofimovich
2017-01-29 19:15 Fabian Groffen
2015-11-18 9:32 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650003528.b0d92cef9f5c4b077879766cf32c85aa99419a98.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox